Subject: [PATCH 8/8] ARM: vt8500: gpio: Devicetree support for arch-vt8500

From: [email-masked] (Arnd Bergmann)
Date: Wed, 8 Aug 2012 19:17:18 +0000

On Wednesday 08 August 2012, Stephen Warren wrote:
> I think that's all just:
> 
> module_platform_driver(vt8500_gpio_driver);
> 
> (except that _init uses platform_driver_probe() rather than
> platform_driver_register(), which seems unusual. I guess that explains
> the of_find_matching_node() above too.)

Ah, I totally missed both of these. Using platform_driver_register
is definitely preferred over platform_driver_probe in cases like
this, so using module_platform_driver is the right simplification.

	Arnd